Commit 066ce2e5 authored by Kenton Varda's avatar Kenton Varda

Don't allow releases when TODO(now) or TODO(soon) or KJ_DBG are found in the code.

parent 1cb71b92
......@@ -2,6 +2,16 @@
set -euo pipefail
if (grep -r KJ_DBG c++/src | egrep -v '/debug(-test)?[.]'); then
echo '*** Error: There are instances of KJ_DBG in the code.' >&2
exit 1
fi
if (egrep -r 'TODO\((now|soon)\)'); then
echo '*** Error: There are release-blocking TODOs in the code.' >&2
exit 1
fi
doit() {
echo "@@@@ $@"
"$@"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment